<% include ./templates/header.ejs%>
<div id="titles_wrapper">
    <%if (tag) {%>
        <h1>All titles for: "<%=tag%>"</h1>
    <%} else {%>
        <h1>All titles</h1>
    <%}%>
    <div class="container-fluid">
        <div class="row">
         <% postList.forEach(function (post) {%>
            <div class="title_container col-sm-12 col-md-6 col-lg-4 col-xl-3">
                <a href="/show/<%=post.id%>">
                    <img alt=<%=post.title%> src="/pics/books/<%=post.picture%>">
                    <div class="index_text_below_pic">
                        <div class="line_below_pic_index"><em>"<%= post.title%>"</em></div> 
                        <div class="line_below_pic_index"><%= post.name%></div>
                        <div class="line_below_pic_index">Added on <%= post.created%></div>
                    </div>
                </a>
             </div>
         <%});%>
         </div>
    </div>
</div>
<script>
    var title_container = document.getElementsByClassName("title_container");
    var lines_below_pic = document.getElementsByClassName("line_below_pic_index");
    for (var i=0; i<title_container.length; i++) {
        title_container[i].addEventListener("mouseenter", function(event) {
                var lines_below_pic_index = event.target.children[0].children[1];
                for (var j=0; j<lines_below_pic_index.children.length; j++) {
                        lines_below_pic_index.children[j].style.color =  "#8678e0";
                    }
        });
        }
        
    for (var i=0; i<title_container.length; i++) {
        title_container[i].addEventListener("mouseleave", function(event) {
                var lines_below_pic_index = event.target.children[0].children[1];
                for (var j=0; j<lines_below_pic_index.children.length; j++) {
                        lines_below_pic_index.children[j].style.color =  "black";
                    }
        });
        }
</script>
<% include ./templates/footer.ejs%>
